> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile Posts

> - Retrieve posts from a person's profile. Pagination is supported for accessing all posts. 

 - 2 credits per call



## OpenAPI

````yaml GET /get-profile-posts
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-profile-posts:
    get:
      description: >-
        - Retrieve posts from a person's profile. Pagination is supported for
        accessing all posts. 

         - 2 credits per call
      parameters:
        - name: linkedin_url
          in: query
          description: ''
          required: true
          schema:
            type: string
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - posts
              - comments
              - reactions
            example: posts
          description: ''
        - name: start
          in: query
          required: false
          description: >-
            Use this param to fetch posts of the next result page: 0 for page 1,
            50 for page 2, etc.
          schema:
            type: integer
          example: 0
        - name: pagination_token
          in: query
          required: false
          description: >-
            Required when fetching the next result page. Please use the token
            from the result of your previous call.
          schema:
            type: string
          example: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfilePosts'
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProfilePosts:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              images:
                type: array
                items:
                  type: object
                  properties:
                    url:
                      type: string
                      format: uri
                      example: >-
                        https://media.licdn.com/dms/image/D5622AQH9fVqca5uEnw/feedshare-shrink_2048_1536/0/1700673956174?e=1703721600&v=beta&t=JeLAXcbzLFQuqjQbRlCIn6a3wZBhNr7A2XFjrPdN6F0
              num_appreciations:
                type: integer
                example: 6
              num_comments:
                type: integer
                example: 63
              num_empathy:
                type: integer
                example: 6
              num_interests:
                type: integer
                example: 6
              num_likes:
                type: integer
                example: 253
              num_reposts:
                type: integer
                example: 30
              num_praises:
                type: integer
                example: 1
              post_url:
                type: string
                format: uri
                example: >-
                  https://www.linkedin.com/feed/update/urn:li:activity:7133388569078894592/
              reshared:
                type: boolean
                example: false
              text:
                type: string
                example: 💥Amazing Website's That Will Make You Smarter!!!💡
              time:
                type: string
                example: 1d
              urn:
                type: string
                example: '7133388569078894592'
              video:
                type: object
                properties:
                  duration:
                    type: integer
                    example: 51400
                  stream_url:
                    type: string
                    format: uri
                    example: >-
                      https://dms.licdn.com/playlist/vid/D5605AQEACEREwfcYgA/feedshare-ambry-analyzed_servable_progressive_video/0/1700796656388?e=1701417600&v=beta&t=8fHfRtgXo83IpbsO26QWT7f23N3MJhMDpEhr4KAhF_M
              document:
                type: object
                properties:
                  page_count:
                    type: integer
                    example: 9
                  title:
                    type: string
                    example: 'swipe 👉 '
                  url:
                    type: string
                    format: uri
                    example: >-
                      https://media.licdn.com/dms/document/media/D561FAQGBoHA1k6ak2Q/feedshare-document-url-metadata-scrapper-pdf/0/1700753313013?e=1701417600&v=beta&t=-uoAo8eq6_DmkAtagaLrssQ1UWke4V4nPFF0SwcNeRE
        message:
          type: string
          example: ok.
        paging:
          type: object
          properties:
            count:
              type: integer
              example: 50
            pagination_token:
              type: string
              example: >-
                dXJuOmxpOmFjdGl2aXR5OjcxMzI3MzQzMzU0Njc2MTQyMDgtMTcwMDU3NjM4NTM2Mg==
            start:
              type: integer
              example: 0
      required:
        - data
        - message
        - paging
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````